#
# weechat -- buflist.conf
#
# WARNING: It is NOT recommended to edit this file by hand,
# especially if WeeChat is running.
#
# Use /set or similar command to change settings in WeeChat.
#
# For more info, see: https://weechat.org/doc/quickstart
#

[look]
add_newline = on
auto_scroll = 50
display_conditions = "${buffer.hidden}==0"
enabled = on
mouse_jump_visited_buffer = off
mouse_move_buffer = on
mouse_wheel = on
nick_prefix = off
nick_prefix_empty = on
signals_refresh = ""
sort = "number,-active"

[format]
buffer = "${format_number}${indent}${eval:${format_name}}${format_hotlist} ${color:14}${buffer.local_variables.filter}${buffer.local_variables.buflist}"
buffer_current = "${if:${type}==server?${color:black,14}:${color:*white}}${hide:>,${buffer[last_gui_buffer].number}} ${indent}${if:${type}==server&&${info:irc_server_isupport_value,${name},NETWORK}?${info:irc_server_isupport_value,${name},NETWORK}:${name}} ${color:31}${buffer.local_variables.filter}${buffer.local_variables.buflist}"
hotlist = " ${color:8}${hotlist}${color:8}"
hotlist_highlight = "${color:9}"
hotlist_low = "${color:white}"
hotlist_message = "${color:11}"
hotlist_none = "${color:default}"
hotlist_private = "${color:11}"
hotlist_separator = "${color:default},"
indent = "${if:${type}==channel&&${buffer.name}=~fr$||${info:aspell_dict,${buffer.full_name}}=~fr?${color:blue}f :  }${color:*white}"
lag = " ${color:green}[${color:brown}${lag}${color:green}]"
name = "${if:${type}==server?${color:black,14}:${color_hotlist}}${if:${type}==server||${type}==channel||${type}==private?${if:${cutscr:16,+,${name}}!=${name}?${cutscr:16,${color:${weechat.color.chat_prefix_more}}+,${if:${type}==server&&${info:irc_server_isupport_value,${name},NETWORK}?${info:irc_server_isupport_value,${name},NETWORK}:${name}}}:${cutscr:16, ,${if:${type}==server&&${info:irc_server_isupport_value,${name},NETWORK}?${info:irc_server_isupport_value,${name},NETWORK}                              :${name}                              }}}:${name}}"
nick_prefix = "${color_nick_prefix}${nick_prefix}"
number = "${if:${type}==server?${color:*black,14}:${color:8}}${number}${if:${number_displayed}?.: }"
